Subject: [NSIS] errata handling for NSIS related RFCs

From: Martin Stiemerling <[email-masked]>
Date: Wed, 9 Feb 2011 08:56:33 +0000

Dear all, 

We have 2 errata for
> | RFC4230 |       976 | 2007-05-16     | Alfred Hoenes   | nsis     |
> Technical |
> | RFC4230 |       977 | 2007-05-16     | Alfred Hoenes   | nsis     |
> Technical |

The authors of RFC 4320 and the working group is asked to give their
feedback about these errata, i.e., if they are valid and if/how they can be
fixed. 

Please provide any feedback until Feb 14th COB.

Thanks

  Martin

> -----Original Message-----
> From: Eggert Lars [mailto:[email-masked]]
> Sent: Tuesday, January 25, 2011 6:30 AM
> To: [email-masked]
> Subject: errata handling for TSV RFCs
> Importance: High
> 
> Hi,
> 
> please process your errata! See the table at the end of this email. The
> list is long esp. for NFSv4, TCPM and TSVWG.
> 
> I'd like to ask the chairs of the WGs that produced the respective
> documents to please lead the effort to determine whether each listed
> errata is valid or not. Here's the process you should follow:
> 
> (1) Make note of the "id" for each errata posted against one of your
>   WG documents (check the lists for RFC numbers that your WG has
>   produced.
> 
> (2) Go to http://www.rfc-editor.org/errata_search.php?eid=XXX where
>   XXX is that errata ID
> 
> (3) Copy the results of that page in to an email to the document
>   authors and ask them to comment on the validity of the errata. CC
>   your ADs. You may also CC the WG list if you feel that broader
>   community input would be helpful and/or if the original authors are
>   unresponsive. Give them a deadline of a two weeks or so.
> 
> (4) The purpose of this discussion is to determine that (a) the
>   indicated errata type (technical/editorial) is correct, and (b) to
>   decide how the errata should be handled. For the latter, there are
>   three options:
> 
> o Approved - The erratum is appropriate under the criteria below and
>   should be available to implementors or people deploying the RFC.
> 
> o Rejected - The erratum is in error, or proposes a change to the
>   RFC that should be done my publishing a new RFC that replaces the
>   current RFC. In the latter case, if the change is to be
>   considered for future updates of the document, it should be
>   proposed using channels other than the errata process, such as a
>   WG mailing list.
> 
> o Hold for Document Update - The erratum is not a necessary update
>   to the RFC. However, any future update of the document might
>   consider this erratum, and determine whether it is correct and
>   merits including in the update.
> 
> (5) After that deadline, judge the consensus on the errata, and
>   conclude the discussion phase by sending an email summarizing your
>   decision to the recipients of the original email. CC your ADs. The
>   ADs will then update the posted errata in the RFC Editor's database.
> 
>   In order to help you determine the correct handling for the errata
>   in step (4), the IESG has come up with a few guidelines:
> 
> 1. Only errors that could cause implementation or deployment
>    problems or significant confusion should be Approved.
> 
> 2. Things that are clearly wrong but could not cause an
>    implementation or deployment problem should be Hold for Document
>    Update.
> 
> 3. Errata on obsolete RFCs should be treated the same as errata on
>    RFCs that are not obsolete where there is strong evidence that
>    some people are still making use of the related technology.
> 
> 4. Trivial grammar corrections should be Hold for Document Update.
> 
> 5. Typographical errors which would not cause any confusions to
>    implementation or deployments should be Hold for Document Update.
> 
> 6. Changes which are simply stylistic issues or simply make things
>    read better should be Hold for Document Update.
> 
> 7. Changes that modify the working of a protocol to something that
>    might be different from the intended consensus when the document
>    was approved should be either Hold for Document Update or
>    Rejected. Deciding between these two depends on judgment.
>    Changes that are clearly modifications to the intended consensus,
>    or involve large textual changes, should be Rejected. In unclear
>    situations, small changes can be Hold for Document Update.
> 
> 8. Changes that modify the working of a process, such as changing an
>    IANA registration procedure, to something that might be different
>    from the intended consensus when the document was approved should
>    be Rejected.
> 
> Also note that you should involve your AD at any time when you feel
> the discussion would benefit from this.
> 
> All that said, below are our current errata, for your processing
> pleasure. Please contact David and me if you have any questions
> about this process.
> 
> Lars
> 
> 
> +-----------+
> | Transport |
> +-----------+
> +---------+-----------+----------------+-----------------+----------+--
> ---------+
> | RFC #   | Errata ID | Date Submitted | Submitted by    | Source   |
> Type      |
> +---------+-----------+----------------+-----------------+----------+--
> ---------+
> | RFC5389 |      2010 | 2010-01-21     | Pasi Eronen     | behave   |
> Technical |
> | RFC5595 |      1891 | 2009-09-22     | Alfred Hoenes   | dccp     |
> Technical |
> | RFC2597 |       413 | 2005-05-24     | Bud             | diffserv |
> Editorial |
> | RFC2598 |      1708 | 2009-03-06     | Nikolai Malykh  | diffserv |
> Editorial |
> | RFC2213 |       479 | 2005-09-12     | Orly Nicklass   | intserv  |
> Editorial |
> | RFC2663 |      1432 | 2008-05-29     | Harald Hubich   | nat      |
> Technical |
> | RFC3022 |      2047 | 2010-02-21     | cloengard       | nat      |
> Editorial |
> | RFC4506 |        76 | 2006-05-24     | Alfred Hoenes   | nfsv4    |
> Editorial |
> | RFC5661 |      2005 | 2010-01-17     | Michael Eisler  | nfsv4    |
> Technical |
> | RFC5661 |      2006 | 2010-01-17     | Michael Eisler  | nfsv4    |
> Editorial |
> | RFC5661 |      2062 | 2010-03-04     | Peter Varga     | nfsv4    |
> Editorial |
> | RFC5661 |      2249 | 2010-05-10     | Michael Eisler  | nfsv4    |
> Editorial |
> | RFC5661 |      2280 | 2010-05-20     | Paul J Gilliam  | nfsv4    |
> Editorial |
> | RFC5661 |      2291 | 2010-05-27     | Michael Eisler  | nfsv4    |
> Technical |
> | RFC5661 |      2299 | 2010-06-03     | Michael Eisler  | nfsv4    |
> Technical |
> | RFC5661 |      2324 | 2010-07-12     | Trond Myklebust | nfsv4    |
> Editorial |
> | RFC5661 |      2326 | 2010-07-13     | Tom Haynes      | nfsv4    |
> Technical |
> | RFC5661 |      2327 | 2010-07-13     | Tom Haynes      | nfsv4    |
> Technical |
> | RFC5661 |      2328 | 2010-07-13     | Tom Haynes      | nfsv4    |
> Editorial |
> | RFC5661 |      2330 | 2010-07-14     | Tom Haynes      | nfsv4    |
> Editorial |
> | RFC5661 |      2505 | 2010-08-31     | Michael Eisler  | nfsv4    |
> Technical |
> | RFC5661 |      2548 | 2010-10-11     | J. Bruce Fields | nfsv4    |
> Editorial |
> | RFC5664 |      2017 | 2010-01-26     | Benny Halevy    | nfsv4    |
> Technical |
> | RFC5664 |      2018 | 2010-01-26     | Benny Halevy    | nfsv4    |
> Technical |
> | RFC5664 |      2019 | 2010-01-26     | Benny Halevy    | nfsv4    |
> Editorial |
> | RFC5665 |      2015 | 2010-01-26     | Alfred Hoenes   | nfsv4    |
> Editorial |
> | RFC5665 |      2016 | 2010-01-26     | Alfred Hoenes   | nfsv4    |
> Technical |
> | RFC4230 |       976 | 2007-05-16     | Alfred Hoenes   | nsis     |
> Technical |
> | RFC4230 |       977 | 2007-05-16     | Alfred Hoenes   | nsis     |
> Technical |
> | RFC3816 |       737 | 2005-02-23     | Alfred Hoenes   | rohc     |
> Technical |
> | RFC5795 |      2107 | 2010-04-05     | Alfred Hoenes   | rohc     |
> Editorial |
> | RFC5795 |      2108 | 2010-04-05     | Alfred Hoenes   | rohc     |
> Editorial |
> | RFC5795 |      2109 | 2010-04-05     | Alfred Hoenes   | rohc     |
> Editorial |
> | RFC5795 |      2110 | 2010-04-05     | Alfred Hoenes   | rohc     |
> Editorial |
> | RFC5857 |      2274 | 2010-05-19     | Alfred Hoenes   | rohc     |
> Editorial |
> | RFC5857 |      2275 | 2010-05-19     | Alfred Hoenes   | rohc     |
> Editorial |
> | RFC5858 |      2276 | 2010-05-19     | Alfred Hoenes   | rohc     |
> Editorial |
> | RFC5858 |      2277 | 2010-05-19     | Alfred Hoenes   | rohc     |
> Technical |
> | RFC1323 |      2278 | 2010-05-19     | Nikolai Malykh  | tcplw    |
> Editorial |
> | RFC5681 |      2074 | 2010-03-15     | Herbie Robinson | tcpm     |
> Editorial |
> | RFC3168 |      2316 | 2010-06-29     | Nikolai Malykh  | tsvwg    |
> Editorial |
> | RFC4782 |      2034 | 2010-02-08     | Laurent Toutain | tsvwg    |
> Technical |
> | RFC4804 |       972 | 2007-05-16     | Alfred Hoenes   | tsvwg    |
> Editorial |
> | RFC6016 |      2553 | 2010-10-12     | Alfred Hoenes   | tsvwg    |
> Technical |
> | RFC6016 |      2554 | 2010-10-12     | Alfred Hoenes   | tsvwg    |
> Editorial |
> | RFC6016 |      2555 | 2010-10-12     | Alfred Hoenes   | tsvwg    |
> Editorial |
> | RFC6016 |      2556 | 2010-10-12     | Alfred Hoenes   | tsvwg    |
> Editorial |
> | RFC6016 |      2557 | 2010-10-12     | Alfred Hoenes   | tsvwg    |
> Technical |
> | RFC6016 |      2558 | 2010-10-12     | Alfred Hoenes   | tsvwg    |
> Technical |
> | RFC6016 |      2559 | 2010-10-12     | Alfred Hoenes   | tsvwg    |
> Technical |
> | RFC6016 |      2560 | 2010-10-12     | Alfred Hoenes   | tsvwg    |
> Editorial |
> | RFC6016 |      2561 | 2010-10-12     | Alfred Hoenes   | tsvwg    |
> Technical |
> +---------+-----------+----------------+-----------------+----------+--
> ---------+
> 
> 
> 
> IETF NON WORKING GROUP
> +---------+-----------+----------------+------------------------+------
> ----+------------+-----------+
> | RFC #   | Errata ID | Date Submitted | Submitted by           |
> Source   | Area Asgmt | Type      |
> +---------+-----------+----------------+------------------------+------
> ----+------------+-----------+
> | RFC4380 |       107 | 2006-03-16     | Alfred Hoenes          | IETF-
> NWG | tsv        | Technical |
> | RFC4410 |        97 | 2006-08-14     | Alfred Hoenes          | IETF-
> NWG | tsv        | Technical |
> +---------+-----------+----------------+------------------------+------
> ----+------------+-----------+
> 
> 
> 
> LEGACY
> +---------+-----------+----------------+----------------------+--------
> +------------+-----------+
> | RFC #   | Errata ID | Date Submitted | Submitted by         | Source
> | Area Asgmt | Type      |
> +---------+-----------+----------------+----------------------+--------
> +------------+-----------+
> | RFC0793 |      1496 | 2008-08-27     | Yin Shuming          | Legacy
> | tsv        | Technical |
> | RFC0793 |      1561 | 2008-10-11     | Constantin Hagemeier | Legacy
> | tsv        | Technical |
> | RFC0793 |      1562 | 2008-10-11     | Constantin Hagemeier | Legacy
> | tsv        | Technical |
> | RFC0793 |      1563 | 2008-10-11     | Constantin Hagemeier | Legacy
> | tsv        | Technical |
> | RFC0793 |      1564 | 2008-10-11     | Constantin Hagemeier | Legacy
> | tsv        | Technical |
> | RFC0793 |      1565 | 2008-10-11     | Constantin Hagemeier | Legacy
> | tsv        | Technical |
> | RFC0793 |      1566 | 2008-10-11     | Constantin Hagemeier | Legacy
> | tsv        | Technical |
> | RFC0793 |      1567 | 2008-10-11     | Constantin Hagemeier | Legacy
> | tsv        | Technical |
> | RFC0793 |      1568 | 2008-10-11     | Constantin Hagemeier | Legacy
> | tsv        | Technical |
> | RFC0793 |      1569 | 2008-10-11     | Constantin Hagemeier | Legacy
> | tsv        | Technical |
> | RFC0793 |      1570 | 2008-10-11     | Constantin Hagemeier | Legacy
> | tsv        | Technical |
> | RFC0793 |      1571 | 2008-10-11     | Constantin Hagemeier | Legacy
> | tsv        | Technical |
> | RFC0793 |      1572 | 2008-10-11     | Constantin Hagemeier | Legacy
> | tsv        | Technical |
> | RFC0793 |      2296 | 2010-06-03     | Vishwas Manral       | Legacy
> | tsv        | Editorial |
> | RFC0793 |      2297 | 2010-06-03     | Vishwas Manral       | Legacy
> | tsv        | Editorial |
> | RFC0793 |      2298 | 2010-06-03     | Vishwas Manral       | Legacy
> | tsv        | Editorial |
> | RFC1633 |      2272 | 2010-05-18     | jonsimchol           | Legacy
> | tsv        | Editorial |
> | RFC1633 |      2273 | 2010-05-18     | jonsimchol           | Legacy
> | tsv        | Editorial |
> | RFC2391 |      1847 | 2009-09-07     | Yin Gaosong          | Legacy
> | tsv        | Editorial |
> | RFC3208 |      1945 | 2009-11-23     | Alessandro Spinella  | Legacy
> | tsv        | Editorial |
> +---------+-----------+----------------+----------------------+--------
> +------------+-----------+
> 
> 

[email-masked]

NEC Laboratories Europe - Network Research Division
NEC Europe Limited | Registered Office: NEC House, 1 Victoria Road, London
W3 6BL | Registered in England 2832014